Subject: Re: bug#14382: 24.3.50; Strange display bug

From: Dmitry Gutov <[email-masked]>
Date: Fri, 10 May 2013 19:07:48 +0400

Richard Stallman <[email-masked]> writes:

> I visited the file free-sw.html, which I've edited.
> I typed C-x v v as if to check in the changes.
> It displayed *vc-log* in the bottom window.
>
> In the *vc-log* buffer, I typed aaaa C-a C-o.
> This made the buffer start with a blank line.
>
> The bug is, that line is displayed in inverse video
> just like the mode line above it.

Sounds like the header separator, look at `log-edit-font-lock-keywords',
last item.

Maybe we should add a check that the header is not empty, and only show
the separator in that case.